﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCFCMM_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCFCMM_REVIEWAPPLY', 'T_OCFCMM_REVIEWAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_REVIEWAPPLY_BILLNO') CREATE INDEX IDX_OCFCMM_REVIEWAPPLY_BILLNO ON T_OCFCMM_REVIEWAPPLY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_REVIEWAPPLY_ORG') CREATE INDEX IDX_OCFCMM_REVIEWAPPLY_ORG ON T_OCFCMM_REVIEWAPPLY ( FORGID ,FBIZTIME ,FID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALENDAGRT', 'T_OCFCMM_SALENDAGRT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALENDAGRT_BILLNO') CREATE INDEX IDX_OCFCMM_SALENDAGRT_BILLNO ON T_OCFCMM_SALENDAGRT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALENDAGRT_ORG') CREATE INDEX IDX_OCFCMM_SALENDAGRT_ORG ON T_OCFCMM_SALENDAGRT ( FORGID ,FBIZTIME ,FID );


 EXEC P_ALTERPK 'PK_OCFCMM_TEMPLATEENTRY', 'T_OCFCMM_TEMPLATEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TEMPLATEENTRY_FID') CREATE INDEX IDX_OCFCMM_TEMPLATEENTRY_FID ON T_OCFCMM_TEMPLATEENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_TYPE_L', 'T_OCFCMM_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TYPEL_FLID') CREATE INDEX IDX_OCFCMM_TYPEL_FLID ON T_OCFCMM_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_TYPEGROUP_L', 'T_OCFCMM_TYPEGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TYPEGROUPL_FLID') CREATE INDEX IDX_OCFCMM_TYPEGROUPL_FLID ON T_OCFCMM_TYPEGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALSUPAGRT', 'T_OCFCMM_SALSUPAGRT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALSUPAGRT_BILLNO') CREATE INDEX IDX_OCFCMM_SALSUPAGRT_BILLNO ON T_OCFCMM_SALSUPAGRT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALSUPAGRT_ORG') CREATE INDEX IDX_OCFCMM_SALSUPAGRT_ORG ON T_OCFCMM_SALSUPAGRT ( FORGID ,FBIZTIME );


 EXEC P_ALTERPK 'PK_OCFCMM_TERMGROUP', 'T_OCFCMM_TERMGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TERMGROUP_NUM') CREATE INDEX IDX_OCFCMM_TERMGROUP_NUM ON T_OCFCMM_TERMGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCFCMM_TERMGROUP_L', 'T_OCFCMM_TERMGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TERMGROUPL_FLID') CREATE INDEX IDX_OCFCMM_TERMGROUPL_FLID ON T_OCFCMM_TERMGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONTRACT_L', 'T_OCFCMM_SALCONTRACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SCONTRACTL_FLID') CREATE INDEX IDX_OCFCMM_SCONTRACTL_FLID ON T_OCFCMM_SALCONTRACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONENTRY', 'T_OCFCMM_SALCONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALCONENTRY_ID') CREATE INDEX IDX_OCFCMM_SALCONENTRY_ID ON T_OCFCMM_SALCONENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONENTRY_F', 'T_OCFCMM_SALCONENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALCONENTRYF_FID') CREATE INDEX IDX_OCFCMM_SALCONENTRYF_FID ON T_OCFCMM_SALCONENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONPENTRY', 'T_OCFCMM_SALCONPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALCONPENTRY_FID') CREATE INDEX IDX_OCFCMM_SALCONPENTRY_FID ON T_OCFCMM_SALCONPENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONTENTRY', 'T_OCFCMM_SALCONTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALCONTENTRY_FID') CREATE INDEX IDX_OCFCMM_SALCONTENTRY_FID ON T_OCFCMM_SALCONTENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONTENTY_L', 'T_OCFCMM_SALCONTENTY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALCONTENTRYL_FLID') CREATE INDEX IDX_OCFCMM_SALCONTENTRYL_FLID ON T_OCFCMM_SALCONTENTY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONTRACT', 'T_OCFCMM_SALCONTRACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SCONTRACT_NO') CREATE INDEX IDX_OCFCMM_SCONTRACT_NO ON T_OCFCMM_SALCONTRACT ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONTRACT_C', 'T_OCFCMM_SALCONTRACT_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SCONTRACTC_RCLIENT') CREATE INDEX IDX_OCFCMM_SCONTRACTC_RCLIENT ON T_OCFCMM_SALCONTRACT_C ( FREGCLIENTID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONTRACT_E', 'T_OCFCMM_SALCONTRACT_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SALCONTRACTE_CT') CREATE INDEX IDX_OCFCMM_SALCONTRACTE_CT ON T_OCFCMM_SALCONTRACT_E ( FCREATORID );


 EXEC P_ALTERPK 'PK_OCFCMM_SALCONTRACT_F', 'T_OCFCMM_SALCONTRACT_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_SCONTRACTF_CUR') CREATE INDEX IDX_OCFCMM_SCONTRACTF_CUR ON T_OCFCMM_SALCONTRACT_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONENTRY', 'T_OCFCMM_XSCONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONENTRY_FID') CREATE INDEX IDX_OCFCMM_XSCONENTRY_FID ON T_OCFCMM_XSCONENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONENTRY_F', 'T_OCFCMM_XSCONENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONENTRYF_FID') CREATE INDEX IDX_OCFCMM_XSCONENTRYF_FID ON T_OCFCMM_XSCONENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONPENTRY', 'T_OCFCMM_XSCONPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONPENTRY_FID') CREATE INDEX IDX_OCFCMM_XSCONPENTRY_FID ON T_OCFCMM_XSCONPENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONTENTRY', 'T_OCFCMM_XSCONTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONTENTRY_FID') CREATE INDEX IDX_OCFCMM_XSCONTENTRY_FID ON T_OCFCMM_XSCONTENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONTENTY_L', 'T_OCFCMM_XSCONTENTY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONTENTRYL_ELID') CREATE INDEX IDX_OCFCMM_XSCONTENTRYL_ELID ON T_OCFCMM_XSCONTENTY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONTRACT', 'T_OCFCMM_XSCONTRACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONTRACT_NO') CREATE INDEX IDX_OCFCMM_XSCONTRACT_NO ON T_OCFCMM_XSCONTRACT ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONTRACT_C', 'T_OCFCMM_XSCONTRACT_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONTRACT_RCLIENT') CREATE INDEX IDX_OCFCMM_XSCONTRACT_RCLIENT ON T_OCFCMM_XSCONTRACT_C ( FREGCLIENTID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONTRACT_E', 'T_OCFCMM_XSCONTRACT_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONE_CT') CREATE INDEX IDX_OCFCMM_XSCONE_CT ON T_OCFCMM_XSCONTRACT_E ( FCREATORID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONTRACT_F', 'T_OCFCMM_XSCONTRACT_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONTRACT_CUR') CREATE INDEX IDX_OCFCMM_XSCONTRACT_CUR ON T_OCFCMM_XSCONTRACT_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONTRACT_L', 'T_OCFCMM_XSCONTRACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONTRACTL_FLID') CREATE INDEX IDX_OCFCMM_XSCONTRACTL_FLID ON T_OCFCMM_XSCONTRACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_XSCONTRACT_X', 'T_OCFCMM_XSCONTRACT_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_XSCONTRACTX_CHLNO') CREATE INDEX IDX_OCFCMM_XSCONTRACTX_CHLNO ON T_OCFCMM_XSCONTRACT_X ( FCHANGEBILLNO );


 EXEC P_ALTERPK 'PK_OCFCMM_TEMPLATE', 'T_OCFCMM_TEMPLATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TEMPLATE_NUMBER') CREATE INDEX IDX_OCFCMM_TEMPLATE_NUMBER ON T_OCFCMM_TEMPLATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCFCMM_TEMPLATE_L', 'T_OCFCMM_TEMPLATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TEMPLATEL_FLID') CREATE INDEX IDX_OCFCMM_TEMPLATEL_FLID ON T_OCFCMM_TEMPLATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_TYPE', 'T_OCFCMM_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TYPE_NUMBER') CREATE INDEX IDX_OCFCMM_TYPE_NUMBER ON T_OCFCMM_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCFCMM_CATEGORY', 'T_OCFCMM_CATEGORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_CATEGORY_NUM') CREATE INDEX IDX_OCFCMM_CATEGORY_NUM ON T_OCFCMM_CATEGORY ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCFCMM_CATEGORY_L', 'T_OCFCMM_CATEGORY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_CATEGORYL_FLID') CREATE INDEX IDX_OCFCMM_CATEGORYL_FLID ON T_OCFCMM_CATEGORY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_FILINGAPPLY', 'T_OCFCMM_FILINGAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_FILINGAPPLY_BILLNO') CREATE INDEX IDX_OCFCMM_FILINGAPPLY_BILLNO ON T_OCFCMM_FILINGAPPLY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_FILINGAPPLY_ORG') CREATE INDEX IDX_OCFCMM_FILINGAPPLY_ORG ON T_OCFCMM_FILINGAPPLY ( FORGID ,FBIZTIME ,FID );


 EXEC P_ALTERPK 'PK_OCFCMM_TERM', 'T_OCFCMM_TERM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TERM_NUM') CREATE INDEX IDX_OCFCMM_TERM_NUM ON T_OCFCMM_TERM ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCFCMM_TERM_L', 'T_OCFCMM_TERM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TERML_FLID') CREATE INDEX IDX_OCFCMM_TERML_FLID ON T_OCFCMM_TERM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCFCMM_TYPEGROUP', 'T_OCFCMM_TYPEGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCFCMM_TYPEGROUP_NUM') CREATE INDEX IDX_OCFCMM_TYPEGROUP_NUM ON T_OCFCMM_TYPEGROUP ( FNUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCFCMM_constraint.sql **/
