﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCFCMM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_REVIEWAPPLY') 
 CREATE TABLE T_OCFCMM_REVIEWAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTY1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FPARTCID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALENDAGRT') 
 CREATE TABLE T_OCFCMM_SALENDAGRT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FPARTY1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEEND DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FSRCCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(512) DEFAULT ' ' NOT NULL,
FDETAIL_TAG NCLOB,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVALIDSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FFILINGSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FREVIEWSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FREVIEWDATE DATETIME,
FSIGNDATE DATETIME,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TEMPLATEENTRY') 
 CREATE TABLE T_OCFCMM_TEMPLATEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOMPONENTID BIGINT DEFAULT 0 NOT NULL,
FISVISIBLE CHAR(1) DEFAULT '0' NOT NULL,
FISMUST CHAR(1) DEFAULT '0' NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FFIELDJSON_TAG NCLOB,
FPARAMJSON_TAG NCLOB,
FFIELDJSON NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPARAMJSON NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TYPE_L') 
 CREATE TABLE T_OCFCMM_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TYPEGROUP_L') 
 CREATE TABLE T_OCFCMM_TYPEGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALSUPAGRT') 
 CREATE TABLE T_OCFCMM_SALSUPAGRT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FPARTY1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZTIME DATETIME,
FBIZTIMEBEGIN DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FSRCCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCVERSION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(512) DEFAULT ' ' NOT NULL,
FDETAIL_TAG NCLOB,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FVALIDSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FFILINGSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FREVIEWSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FREVIEWDATE DATETIME,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSIGNDATE DATETIME,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FBIZTIMEEND DATETIME,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TERMGROUP') 
 CREATE TABLE T_OCFCMM_TERMGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TERMGROUP_L') 
 CREATE TABLE T_OCFCMM_TERMGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONTRACT_L') 
 CREATE TABLE T_OCFCMM_SALCONTRACT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONENTRY') 
 CREATE TABLE T_OCFCMM_SALCONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBILLENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL,
FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FROWTERMINATESTATUS VARCHAR(5) DEFAULT 'A' NOT NULL,
FLASTUPDTIME DATETIME,
FENTRYINVORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FDELIVERADDRESS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONENTRY_F') 
 CREATE TABLE T_OCFCMM_SALCONENTRY_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE CHAR(5) DEFAULT 'NULL' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONPENTRY') 
 CREATE TABLE T_OCFCMM_SALCONPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FINTERVALTIME INT DEFAULT 0 NOT NULL,
FTIMEUNIT CHAR(1) DEFAULT 'A' NOT NULL,
FRECENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FJOINPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONTENTRY') 
 CREATE TABLE T_OCFCMM_SALCONTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTERMID BIGINT DEFAULT 0 NOT NULL,
FTERMGROUPID BIGINT DEFAULT 0 NOT NULL,
FTERMENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL,
FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONTENTY_L') 
 CREATE TABLE T_OCFCMM_SALCONTENTY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONTRACT') 
 CREATE TABLE T_OCFCMM_SALCONTRACT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONMPROP CHAR(1) DEFAULT 'B' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FBIZMODE CHAR(1) DEFAULT 'C' NOT NULL,
FBIZTIME DATETIME,
FBIZBEGINTIME DATETIME,
FBIZENDTIME DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVERSION NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FISONLIST CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONTRACT_C') 
 CREATE TABLE T_OCFCMM_SALCONTRACT_C (
FID BIGINT DEFAULT 0 NOT NULL,
FREGCLIENTID BIGINT DEFAULT 0 NOT NULL,
FRECCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSETTLECUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FPAYINGCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEADDRESS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FRECLINKMANID BIGINT DEFAULT 0 NOT NULL,
FFRAMENUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFRAMENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFRAMEVERSION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTPARTIESID BIGINT DEFAULT 0 NOT NULL,
FPARTY1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSON1ST NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONE1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSON2ND NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONE2ND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONTRACT_E') 
 CREATE TABLE T_OCFCMM_SALCONTRACT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FREVIEWSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FREVIEWDATE DATETIME,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME,
FVALIDSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FFILINGSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FCHANGESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FFREEZESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FFREEZERID BIGINT DEFAULT 0 NOT NULL,
FFREEZEDATE DATETIME,
FTERMINATESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATEDATE DATETIME,
FCONFIRMSTATUS CHAR(1) DEFAULT 'B' NOT NULL,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_SALCONTRACT_F') 
 CREATE TABLE T_OCFCMM_SALCONTRACT_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISENTRYSUMAMT CHAR(1) DEFAULT '1' NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL,
FEXRATEDATE DATETIME,
FPRERECEIPTALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIPTALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONENTRY') 
 CREATE TABLE T_OCFCMM_XSCONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBILLENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL,
FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FROWTERMINATESTATUS VARCHAR(5) DEFAULT 'A' NOT NULL,
FLASTUPDTIME DATETIME,
FENTRYINVORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FDELIVERADDRESS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBILLENTRYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONENTRY_F') 
 CREATE TABLE T_OCFCMM_XSCONENTRY_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE CHAR(5) DEFAULT 'NULL' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONPENTRY') 
 CREATE TABLE T_OCFCMM_XSCONPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FINTERVALTIME INT DEFAULT 0 NOT NULL,
FTIMEUNIT CHAR(1) DEFAULT 'A' NOT NULL,
FRECENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FJOINPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL,
FPAYENTRYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONTENTRY') 
 CREATE TABLE T_OCFCMM_XSCONTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTERMID BIGINT DEFAULT 0 NOT NULL,
FTERMGROUPID BIGINT DEFAULT 0 NOT NULL,
FTERMENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL,
FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTERMENTYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONTENTY_L') 
 CREATE TABLE T_OCFCMM_XSCONTENTY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONTRACT') 
 CREATE TABLE T_OCFCMM_XSCONTRACT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONMPROP CHAR(1) DEFAULT 'B' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FBIZMODE CHAR(1) DEFAULT 'C' NOT NULL,
FBIZTIME DATETIME,
FBIZBEGINTIME DATETIME,
FBIZENDTIME DATETIME,
FISELECSIGNATURE CHAR(1) DEFAULT '0' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVERSION NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FISONLIST CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONTRACT_C') 
 CREATE TABLE T_OCFCMM_XSCONTRACT_C (
FID BIGINT DEFAULT 0 NOT NULL,
FREGCLIENTID BIGINT DEFAULT 0 NOT NULL,
FRECCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSETTLECUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FPAYINGCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEADDRESS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FRECLINKMANID BIGINT DEFAULT 0 NOT NULL,
FFRAMENUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFRAMENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFRAMEVERSION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTPARTIESID BIGINT DEFAULT 0 NOT NULL,
FPARTY1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSON1ST NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONE1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTPERSON2ND NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPHONE2ND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONTRACT_E') 
 CREATE TABLE T_OCFCMM_XSCONTRACT_E (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FREVIEWSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FREVIEWDATE DATETIME,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSIGNERID BIGINT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME,
FVALIDSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FFILINGSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FFILINGERID BIGINT DEFAULT 0 NOT NULL,
FFILINGDATE DATETIME,
FCHANGESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FFREEZESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FFREEZERID BIGINT DEFAULT 0 NOT NULL,
FFREEZEDATE DATETIME,
FTERMINATESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATEDATE DATETIME,
FCONFIRMSTATUS CHAR(1) DEFAULT 'B' NOT NULL,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONTRACT_F') 
 CREATE TABLE T_OCFCMM_XSCONTRACT_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISENTRYSUMAMT CHAR(1) DEFAULT '1' NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL,
FEXRATEDATE DATETIME,
FPRERECEIPTALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIPTALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONTRACT_L') 
 CREATE TABLE T_OCFCMM_XSCONTRACT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_XSCONTRACT_X') 
 CREATE TABLE T_OCFCMM_XSCONTRACT_X (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANGEBIZDATE DATETIME,
FCHANGEREASON NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANGECANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGECANCELERID BIGINT DEFAULT 0 NOT NULL,
FCHANGECANCELDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TEMPLATE') 
 CREATE TABLE T_OCFCMM_TEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FCONTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONTEXTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCONTENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FURL NVARCHAR(512) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TEMPLATE_L') 
 CREATE TABLE T_OCFCMM_TEMPLATE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TYPE') 
 CREATE TABLE T_OCFCMM_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPAYDIRECT VARCHAR(5) DEFAULT ' ' NOT NULL,
FEXCUTECONTROL VARCHAR(5) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCONTCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL,
FCONTEXECUTE CHAR(1) DEFAULT '0' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONMPROP CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_CATEGORY') 
 CREATE TABLE T_OCFCMM_CATEGORY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_CATEGORY_L') 
 CREATE TABLE T_OCFCMM_CATEGORY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_FILINGAPPLY') 
 CREATE TABLE T_OCFCMM_FILINGAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTY1ST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTY2ND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPARTCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TERM') 
 CREATE TABLE T_OCFCMM_TERM (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FCTRLSTRATEGY VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TERM_L') 
 CREATE TABLE T_OCFCMM_TERM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCFCMM_TYPEGROUP') 
 CREATE TABLE T_OCFCMM_TYPEGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCFCMM_table.sql **/
